<template>
    <div>
      <div>
        <v-alert
          :value="alerta.visivel"
          :color="alerta.cor"
          dark
          border="top"
          icon="mdi-home"
          dismissible
          transition="scale-transition"
        >
          {{alerta.mensagem}}
        </v-alert>
      </div>
      <v-list subheader
      style="background-color: #000411;"
      >
      <v-row justify="center" class="pa-6">
        <v-btn  class="blue lighten-2" @click="$router.push('home')" dark large>Voltar</v-btn>
      </v-row>
        <v-subheader>Usuarios</v-subheader>

        <v-list-item
          v-for="email in arrayEmails"
          :key="email.id"
        >
          <v-list-item-content>
              <v-list-item-title class="white--text">ID</v-list-item-title>
              <v-list-item-subtitle class="white--text">{{email.id}}</v-list-item-subtitle>
          </v-list-item-content>
          <v-list-item-content>
              <v-list-item-title class="white--text">Email:</v-list-item-title>
              <v-list-item-subtitle class="white--text">{{email.email}}</v-list-item-subtitle>
          </v-list-item-content>
          <v-btn 
              icon
              @click="removerEmail(email.id)"
              >
              <v-icon color="red">mdi-trash-can-outline</v-icon>
          </v-btn>
        </v-list-item>
      </v-list>
      
    </div>   
</template>

<script src="./PainelController.js" ></script>